commit: 47c20d8d59228f428b06355293a9c8a8795c7338
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Mar 4 17:55:05 2023 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Mar 4 18:16:47 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=47c20d8d
dev-python/pyqtgraph: Bump to 0.13.2
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/pyqtgraph/Manifest | 1 +
dev-python/pyqtgraph/pyqtgraph-0.13.2.ebuild | 72 ++++++++++++++++++++++++++++
2 files changed, 73 insertions(+)
diff --git a/dev-python/pyqtgraph/Manifest b/dev-python/pyqtgraph/Manifest
index 4864b94418d4..4d48249ab98d 100644
--- a/dev-python/pyqtgraph/Manifest
+++ b/dev-python/pyqtgraph/Manifest
@@ -1 +1,2 @@
DIST pyqtgraph-0.13.1.gh.tar.gz 1368154 BLAKE2B
cb19ae6564b0fc0a4ec4fb6232f7949bb5130345380a86f0cffdee14e767d306b27c26ae3f7c011d77f21353b511d99148e1acb38e8d33598dde16362475b5a8
SHA512
bcd3d0c9c1d91ad2ea3f85f8e34e68ab999fce636ed336362253f09a7863a62c4b635d71c137c9458532c7d1f76dfc8433d476cd84121cf89488fb0860039b8f
+DIST pyqtgraph-0.13.2.gh.tar.gz 1420684 BLAKE2B
da702fc16e9dadc55382be75528147bb050ebeeba0aaf8f87a9592125058ffe9b0049cf7897d297e7408ebd78a20c31f9a47ec8058025bf5b1653ed1fb2fdd6d
SHA512
64ae6708e1a44bb69fc159d1cd23df47075eeb1d7daa03c4b27a147ea83a25bb5ef03d28892b20b144bfa4ee600622ef0595494565d42fb861c6849ca3f5c7b9
diff --git a/dev-python/pyqtgraph/pyqtgraph-0.13.2.ebuild
b/dev-python/pyqtgraph/pyqtgraph-0.13.2.ebuild
new file mode 100644
index 000000000000..aca231532ed0
--- /dev/null
+++ b/dev-python/pyqtgraph/pyqtgraph-0.13.2.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9..11} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="A pure-python graphics and GUI library built on PyQt and numpy"
+HOMEPAGE="
+ https://www.pyqtgraph.org/
+ https://github.com/pyqtgraph/pyqtgraph/
+ https://pypi.org/project/pyqtgraph/
+"
+SRC_URI="
+ https://github.com/pyqtgraph/pyqtgraph/archive/${P}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+S=${WORKDIR}/${PN}-${P}
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~riscv ~x86"
+IUSE="opengl svg"
+REQUIRED_USE="test? ( opengl svg )"
+
+RDEPEND="
+ >=dev-python/numpy-1.17[${PYTHON_USEDEP}]
+ dev-python/scipy[${PYTHON_USEDEP}]
+ dev-python/PyQt5[gui,widgets,opengl=,svg=,${PYTHON_USEDEP}]
+ opengl? ( dev-python/pyopengl[${PYTHON_USEDEP}] )
+"
+BDEPEND="
+ test? (
+ dev-python/h5py[${PYTHON_USEDEP}]
+ dev-python/PyQt5[testlib,${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ dev-python/pytest-xvfb[${PYTHON_USEDEP}]
+ dev-vcs/git
+ )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ distutils-r1_python_prepare_all
+
+ if ! use opengl; then
+ rm -r pyqtgraph/opengl || die
+ fi
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # apparently fragile
+ tests/test_reload.py::test_reload
+
+ # TODO
+ tests/graphicsItems/test_ROI.py::test_PolyLineROI
+
+ # pyside2 is normally skipped if not installed but these two
+ # fail if it is installed
+ # TODO: this could be due to USE flags, revisit when pyside2
+ # gains py3.9
+ 'pyqtgraph/examples/test_examples.py::testExamples[
DateAxisItem_QtDesigner.py - PySide2 ]'
+ 'pyqtgraph/examples/test_examples.py::testExamples[
designerExample.py - PySide2 ]'
+ )
+
+ epytest -p xvfb -n "$(makeopts_jobs)"
+}